#!/usr/local/bin/php -q
<?php

/*
Set $myforumroot to the absolute path to your forum directory.
Example:
$myforumroot = '/home/username/public_html';
*/
$myforumroot = '';

/*########## DO NOT TOUCH ANYTHING BELOW THIS LINE ##########*/

error_reporting(0);
ob_start();
chdir($myforumroot);
require_once('./global.php');

//print_r($vbulletin->config[MasterServer]);

//die;

$vBSphinxSearchConfig = new stdClass();

$vBSphinxSearchConfig->dbservername = $vbulletin->config['MasterServer']['servername'];

$vBSphinxSearchConfig->dbusername = $vbulletin->config['MasterServer']['username'];

$vBSphinxSearchConfig->dbpassword = $vbulletin->config['MasterServer']['password'];

$vBSphinxSearchConfig->dbname = $vbulletin->config['Database']['dbname'];

$vBSphinxSearchConfig->dbport = $vbulletin->config['MasterServer']['port'];



$vBSphinxSearchConfig->dbtableprefix = $vbulletin->config['Database']['tableprefix'];



$vBSphinxSearchConfig->sphinxpath = $vbulletin->config['sphinx']['path'];



$vBSphinxSearchConfig->sphinxport = $vbulletin->config['sphinx']['port'];



$vBSphinxSearchConfig->sphinxdummydeletequery = "DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE 0";

$vBSphinxSearchConfig->sphinxdummyupdatequery = "UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE 0";



$vBSphinxSearchConfig->sphinxdummytagquery = "uint tagid from query; SELECT 0, 0";

ob_end_clean();
print "
#############################################################################
## data source definition
#############################################################################

source DBSource
{
	type					= mysql

	#####################################################################
	## SQL settings (for 'mysql' and 'pgsql' types)
	#####################################################################

	sql_host				= " . $vBSphinxSearchConfig->dbservername . "
	sql_user				= " . $vBSphinxSearchConfig->dbusername . "
	sql_pass				= " . $vBSphinxSearchConfig->dbpassword . "
	sql_db					= " . $vBSphinxSearchConfig->dbname . "
	sql_port				= " . $vBSphinxSearchConfig->dbport . "	# optional, default is 3306

}

source ForumMainSource : DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Forum')
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (f.forumid) AS id, \
		c.contenttypeid AS contenttypeid, \
		f.forumid AS groupid, \
		f.forumid AS primaryid, \
		f.lastpost AS dateline, \
		f.lastpost AS defaultdateline, \
		f.title AS grouptitle, \
		0 AS userid, \
		0 AS username1, \
		0 AS username2, \
		0 AS groupusername1, \
		0 AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		0 AS defaultuserid, \
		f.description AS keywordtext, \
		IF(f.displayorder <= 0, 0, 1) AS visible, \
		f.threadcount AS threadcount, \
		f.replycount AS replycount \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "forum f \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'Forum' \
		AND forumid>=\$start AND forumid<=\$end
		
		
	# Truncate the queue table only on successful full reindex
	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND  contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Forum')

	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	sql_attr_uint			= threadcount
	sql_attr_uint			= replycount	
	
	sql_range_step		= 1024
	sql_ranged_throttle	= 3000
	sql_query_range = SELECT MIN(forumid),MAX(forumid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "forum
	
	
	sql_attr_multi = " . $vBSphinxSearchConfig->sphinxdummytagquery . "
 
}

index ForumMain
{
	source			= ForumMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/ForumMain
	docinfo			= extern
	morphology		= none
	html_strip		= 1			
}

source ForumDeltaSource: ForumMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (f.forumid) AS id, \
		c.contenttypeid AS contenttypeid, \
		f.forumid AS groupid, \
		f.forumid AS primaryid, \
		f.lastpost AS dateline, \
		f.lastpost AS defaultdateline, \
		f.title AS grouptitle, \
		0 AS userid, \
		0 AS username1, \
		0 AS username2, \
		0 AS groupusername1, \
		0 AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(f.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		0 AS defaultuserid, \
		f.description AS keywordtext, \
		IF(f.displayorder <= 0, 0, 1) AS visible, \
		f.threadcount AS threadcount, \
		f.replycount AS replycount \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "forum f \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = f.forumid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'Forum')) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'Forum' \
		AND forumid>=\$start AND forumid<=\$end
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "
		
		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
				
}

index ForumDelta : ForumMain
{
	source			= ForumDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/ForumDelta		
}

source ThreadPostMainSource : DBSource
{
		sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid IN (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class IN ('Post', 'Thread'))
		sql_query 				= \
		SELECT (c.contenttypeid << 32) | (p.postid) AS id, \
		c.contenttypeid AS contenttypeid, \
		p.threadid AS groupid, \
		p.postid AS primaryid, \
		p.dateline AS dateline, t.lastpost AS groupdateline, \
		t.lastpost AS defaultdateline, \
		t.title AS grouptitle, \
		p.userid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,4,1)))),8,'0')),2,10) AS prefixid1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,8,1)))),8,'0')),2,10) AS prefixid2, \
		t.postuserid AS groupuserid, \
		t.postuserid AS defaultuserid, \
		CONCAT(IFNULL(p.title, ''),' ', IFNULL(p.pagetext, '')) AS keywordtext, \
		p.visible AS visible, \
		t.replycount AS replycount, \
		IF(t.views<=t.replycount, t.replycount+1, t.views) AS views, \
		t.dateline AS groupstart, \
		t.visible AS groupvisible, \
		t.open AS groupopen, \
		t.forumid AS groupparentid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "post AS p \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "thread AS t ON p.threadid = t.threadid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'Post' \
		AND p.postid>=\$start AND p.postid<=\$end
		
	# Truncate the queue table only on successful full reindex
	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid IN (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class IN ('Post', 'Thread'))

	sql_query_range         = SELECT MIN(postid),MAX(postid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "post
	sql_range_step		= 1024
	sql_ranged_throttle	= 3000
	
	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= groupdateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= groupuserid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= replycount
	sql_attr_uint			= views
	sql_attr_timestamp		= groupstart
	sql_attr_uint			= groupvisible
	sql_attr_uint			= groupopen
	sql_attr_uint			= groupparentid
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	sql_attr_uint			= prefixid1
	sql_attr_uint			= prefixid2
	
	sql_attr_multi = uint tagid from query; SELECT ((SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Post') << 32) | (p.postid) AS id, t.tagid FROM " . $vBSphinxSearchConfig->dbtableprefix . "tagcontent t JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c ON (t.contenttypeid = c.contenttypeid AND c.class = 'Thread') JOIN " . $vBSphinxSearchConfig->dbtableprefix . "post p ON (p.threadid = t.contentid)
	
	
}



#############################################################################
## index definition
#############################################################################

index ThreadPostMain
{
	source			= ThreadPostMainSource

	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/ThreadPostMain

	docinfo			= extern
	morphology		= none
	html_strip		= 1
}

source ThreadPostDelta: ThreadPostMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (p.postid) AS id, \
		c.contenttypeid AS contenttypeid, \
		p.threadid AS groupid, \
		p.postid AS primaryid, \
		p.dateline AS dateline, \
		t.lastpost AS groupdateline, \
		t.lastpost AS defaultdateline, \
		t.title AS grouptitle, \
		p.userid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,4,1)))),8,'0')),2,10) AS prefixid1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,8,1)))),8,'0')),2,10) AS prefixid2, \
		t.postuserid AS groupuserid, \
		t.postuserid AS defaultuserid, \
		CONCAT(IFNULL(p.title, ''),' ', IFNULL(p.pagetext, '')) AS keywordtext, \
		p.visible AS visible, \
		t.replycount AS replycount, \
		IF(t.views<=t.replycount, t.replycount+1, t.views) AS views, \
		t.dateline AS groupstart, \
		t.visible AS groupvisible, \
		t.open AS groupopen, \
		t.forumid AS groupparentid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "post AS p JOIN " . $vBSphinxSearchConfig->dbtableprefix . "thread AS t ON p.threadid = t.threadid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON ( \
		(sq.primaryid = p.postid AND sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'Thread')) \
		) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'Post' \
		AND p.postid>=\$start AND p.postid<=\$end
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "	

		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
		
		sql_attr_multi = uint tagid from query; SELECT ((SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Post') << 32) | (p.postid) AS id, t.tagid FROM " . $vBSphinxSearchConfig->dbtableprefix . "tagcontent t JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c ON (t.contenttypeid = c.contenttypeid AND c.class = 'Thread') JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = t.contentid AND sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'Thread')) JOIN " . $vBSphinxSearchConfig->dbtableprefix . "post p ON (p.threadid = t.contentid)
			
			
}

index ThreadDelta : ThreadPostMain
{
	source			= ThreadPostDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/ThreadDelta		
}


source ThreadPostDeltaSource: ThreadPostMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (p.postid) AS id, \
		c.contenttypeid AS contenttypeid, \
		p.threadid AS groupid, \
		p.postid AS primaryid, \
		p.dateline AS dateline, \
		t.lastpost AS groupdateline, \
		t.lastpost AS defaultdateline, \
		t.title AS grouptitle, \
		p.userid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(p.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,4,1)))),8,'0')),2,10) AS prefixid1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(t.prefixid,8,1)))),8,'0')),2,10) AS prefixid2, \
		t.postuserid AS groupuserid, \
		t.postuserid AS defaultuserid, \
		CONCAT(IFNULL(p.title, ''),' ', IFNULL(p.pagetext, '')) AS keywordtext, \
		p.visible AS visible, \
		t.replycount AS replycount, \
		IF(t.views<=t.replycount, t.replycount+1, t.views) AS views, \
		t.dateline AS groupstart, \
		t.visible AS groupvisible, \
		t.open AS groupopen, \
		t.forumid AS groupparentid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "post AS p JOIN " . $vBSphinxSearchConfig->dbtableprefix . "thread AS t ON p.threadid = t.threadid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON ( \
		(sq.primaryid = p.postid AND sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'Post')) \
		) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'Post' \
		AND p.postid>=\$start AND p.postid<=\$end
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "	

		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
		
		sql_attr_multi = uint tagid from query; SELECT ((SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Post') << 32) | (p.postid) AS id, t.tagid FROM " . $vBSphinxSearchConfig->dbtableprefix . "tagcontent t JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c ON (t.contenttypeid = c.contenttypeid AND c.class = 'Thread') JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = t.contentid AND sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'Thread')) JOIN " . $vBSphinxSearchConfig->dbtableprefix . "post p ON (p.threadid = t.contentid)
			
			
}

index ThreadPostDelta : ThreadPostMain
{
	source			= ThreadPostDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/ThreadPostDelta		
}


source DiscussionMessageMainSource: DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid IN (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class IN ('SocialGroupMessage', 'SocialGroupDiscussion'))
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (gm.gmid) AS id, \
		c.contenttypeid AS contenttypeid, \
		gm.discussionid AS groupid, \
		gm.gmid AS primaryid, \
		gm.dateline AS dateline, \
		gm.dateline AS groupdateline, \
		gm.dateline AS defaultdateline, \
		gm.postuserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		fp.postuserid AS groupuserid, \
		fp.postuserid AS defaultuserid, \
		fp.title AS grouptitle, \
		gm.pagetext AS keywordtext, \
		IF(gm.state = 'visible', 1, 0) AS visible, \
		d.groupid AS groupparentid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "groupmessage AS gm JOIN " . $vBSphinxSearchConfig->dbtableprefix . "discussion AS d ON (gm.discussionid = d.discussionid) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "groupmessage AS fp ON (d.firstpostid = fp.gmid) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c \
		WHERE c.class = 'SocialGroupMessage' \
		AND gm.gmid>=\$start AND gm.gmid<=\$end
	
	
		
	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid IN (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class IN ('SocialGroupMessage', 'SocialGroupDiscussion'))	

	sql_range_step		= 1024
	sql_ranged_throttle	= 3000
	sql_query_range		= SELECT MIN(gmid),MAX(gmid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "groupmessage

	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= groupdateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= groupuserid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= groupparentid
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	
	sql_attr_multi = " . $vBSphinxSearchConfig->sphinxdummytagquery . "
			
}


index DiscussionMessageMain
{
	source			= DiscussionMessageMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/DiscussionMessageMain
	docinfo			= extern
	morphology		= none
	html_strip		= 1	
}



source DiscussionMessageDeltaSource: DiscussionMessageMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (gm.gmid) AS id, \
		5 AS contenttypeid, \
		gm.discussionid AS groupid, \
		gm.gmid AS primaryid, \
		gm.dateline AS dateline, \
		gm.dateline AS groupdateline, \
		gm.dateline AS defaultdateline, \
		gm.postuserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(gm.postusername,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(fp.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		fp.postuserid AS groupuserid, \
		fp.postuserid AS defaultuserid, \
		fp.title AS grouptitle, \
		gm.pagetext AS keywordtext, \
		IF(gm.state = 'visible', 1, 0) AS visible, \
		d.groupid AS groupparentid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "groupmessage AS gm JOIN " . $vBSphinxSearchConfig->dbtableprefix . "discussion AS d ON (gm.discussionid = d.discussionid) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "groupmessage AS fp ON (d.firstpostid = fp.gmid) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON ( \
		(sq.primaryid = gm.gmid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'SocialGroupMessage')) \
		OR \
		(sq.primaryid = gm.discussionid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'SocialGroupDiscussion')) \
		) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c \
		WHERE c.class = 'SocialGroupMessage' \
		AND gm.gmid>=\$start AND gm.gmid<=\$end
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "
		
		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
		
	
		
			
}

index DiscussionMessageDelta : DiscussionMessageMain
{
	source			= DiscussionMessageDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/DiscussionMessageDelta		
}


source SocialGroupMainSource : DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'SocialGroup')
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (sg.groupid) AS id, \
		sg.groupid AS groupid, \
		c.contenttypeid AS contenttypeid, \
		sg.groupid AS primaryid, \
		sg.dateline AS dateline, \
		sg.lastpost AS defaultdateline, \
		sg.name AS grouptitle, \
		sg.creatoruserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,8,1)))),8,'0')),2,10) AS grouptitle2, \
		sg.creatoruserid AS defaultuserid, \
		sg.description AS keywordtext, \
		IF(sg.visible <= 0, 0, 1) AS visible, \
		sg.members AS members, \
		sg.discussions AS discussions, \
		sg.visible AS messages, \
		sg.picturecount AS pictures, \
		sg.socialgroupcategoryid AS socialgroupcategoryid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "socialgroup AS sg JOIN " . $vBSphinxSearchConfig->dbtableprefix . "user AS u ON sg.creatoruserid = u.userid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'SocialGroup' \
		AND sg.groupid>=\$start AND sg.groupid<=\$end
		
		sql_query_range		= SELECT MIN(groupid),MAX(groupid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "socialgroup
		sql_range_step      = 1024
		sql_ranged_throttle	= 3000
	
	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'SocialGroup')

	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid	
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	sql_attr_uint			= members
	sql_attr_uint			= discussions
	sql_attr_uint			= messages
	sql_attr_uint			= pictures
	sql_attr_uint			= socialgroupcategoryid
	
	
	sql_attr_multi = " . $vBSphinxSearchConfig->sphinxdummytagquery . "
	
		
}

index SocialGroupMain
{
	source			= SocialGroupMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/SocialGroupMain		
}

source SocialGroupDeltaSource: SocialGroupMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (sg.groupid) AS id, \
		sg.groupid AS groupid, \
		c.contenttypeid AS contenttypeid, \
		sg.groupid AS primaryid, \
		sg.dateline AS dateline, \
		sg.lastpost AS defaultdateline, \
		sg.name AS grouptitle, \
		sg.creatoruserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(sg.name,8,1)))),8,'0')),2,10) AS grouptitle2, \
		sg.creatoruserid AS defaultuserid, \
		sg.description AS keywordtext, \
		IF(sg.visible <= 0, 0, 1) AS visible, \
		sg.members AS members, \
		sg.discussions AS discussions, \
		sg.visible AS messages, \
		sg.picturecount AS pictures, \
		sg.socialgroupcategoryid AS socialgroupcategoryid \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "socialgroup AS sg JOIN " . $vBSphinxSearchConfig->dbtableprefix . "user AS u ON sg.creatoruserid = u.userid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = sg.groupid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'SocialGroup')) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'SocialGroup' \
		AND sg.groupid>=\$start AND sg.groupid<=\$end
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "
		
		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
				
}

index SocialGroupDelta : SocialGroupMain
{
	source			= SocialGroupDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/SocialGroupDelta		
}


source VisitorMessageMainSource : DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'VisitorMessage')
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (vm.vmid) AS id, \
		vm.vmid AS groupid, \
		c.contenttypeid AS contenttypeid, \
		vm.vmid AS primaryid, \
		vm.dateline AS dateline, \
		vm.dateline AS defaultdateline, \
		vm.title AS grouptitle, \
		vm.postuserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		vm.postuserid AS defaultuserid, \
		vm.pagetext AS keywordtext, \
		IF(vm.state <> 'visible', 0, 1) AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "visitormessage AS vm \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'VisitorMessage' \
		AND vm.vmid>=\$start AND vm.vmid<=\$end
		
		sql_query_range		= SELECT MIN(vmid),MAX(vmid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "visitormessage
		sql_range_step      = 1024
		sql_ranged_throttle	= 3000

		sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'VisitorMessage')
	

	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid	
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	
	
	sql_attr_multi = " . $vBSphinxSearchConfig->sphinxdummytagquery . "
	
		
}

index VisitorMessageMain
{
	source			= VisitorMessageMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/VisitorMessageMain	
	docinfo			= extern
	morphology		= none
	html_strip		= 1		
}


source VisitorMessageDeltaSource: VisitorMessageMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (vm.vmid) AS id, \
		vm.vmid AS groupid, \
		c.contenttypeid AS contenttypeid, \
		vm.vmid AS primaryid, \
		vm.dateline AS dateline, \
		vm.dateline AS defaultdateline, \
		vm.title AS grouptitle, \
		vm.postuserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.postusername,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(vm.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		vm.postuserid AS defaultuserid, \
		vm.pagetext AS keywordtext, \
		IF(vm.state <> 'visible', 0, 1) AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "visitormessage AS vm \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = vm.vmid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'VisitorMessage')) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'VisitorMessage' \
		AND vm.vmid>=\$start AND vm.vmid<=\$end
	
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "
		
		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
				
}

index VisitorMessageDelta : VisitorMessageMain
{
	source			= VisitorMessageDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/VisitorMessageDelta		
}



source BlogEntryMainSource : DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'BlogEntry')
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (bt.blogtextid) AS id, \
		c.contenttypeid AS contenttypeid, \
		bt.blogid AS groupid, \
		bt.blogtextid AS primaryid, \
		bt.dateline AS dateline, \
		bt.dateline AS groupdateline, \
		b.lastcomment AS defaultdateline, \
		bt.title AS grouptitle, \
		bt.bloguserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		bt.bloguserid AS defaultuserid, \
		bt.pagetext AS keywordtext, \
		IF(bt.state = 'visible', 1, 0) AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "blog_text AS bt JOIN " . $vBSphinxSearchConfig->dbtableprefix . "blog AS b ON bt.blogtextid = b.firstblogtextid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'BlogComment' \
		AND bt.blogtextid>=\$start AND bt.blogtextid<=\$end
		
	sql_query_range		= SELECT MIN(blogtextid),MAX(blogtextid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "blog_text
		
	sql_range_step      = 1024
	sql_ranged_throttle	= 3000

	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'BlogEntry')

	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid	
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= groupdateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	
	sql_attr_multi = uint tagid from query; SELECT ((SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'BlogComment') << 32) | (bt.blogtextid) AS id, t.tagid FROM " . $vBSphinxSearchConfig->dbtableprefix . "tagcontent t JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c ON (t.contenttypeid = c.contenttypeid AND c.class = 'BlogEntry') JOIN " . $vBSphinxSearchConfig->dbtableprefix . "blog_text bt ON (bt.blogtextid = t.contentid)
	
}

index BlogEntryMain
{
	source			= BlogEntryMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/BlogEntryMain		
}

source BlogEntryDeltaSource: BlogEntryMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (bt.blogtextid) AS id, \
		c.contenttypeid AS contenttypeid, \
		bt.blogid AS groupid, \
		bt.blogtextid AS primaryid, \
		bt.dateline AS dateline, \
		bt.dateline AS groupdateline, \
		b.lastcomment AS defaultdateline, \
		bt.title AS grouptitle, \
		bt.bloguserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		bt.bloguserid AS defaultuserid, \
		bt.pagetext AS keywordtext, \
		IF(bt.state = 'visible', 1, 0) AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "blog_text AS bt JOIN " . $vBSphinxSearchConfig->dbtableprefix . "blog AS b ON bt.blogtextid = b.firstblogtextid \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = bt.blogtextid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'BlogEntry')) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'BlogComment' \
		AND bt.blogtextid>=\$start AND bt.blogtextid<=\$end

	sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "
	
	sql_attr_multi = uint tagid from query; SELECT ((SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'BlogComment') << 32) | (bt.blogtextid) AS id, t.tagid FROM " . $vBSphinxSearchConfig->dbtableprefix . "tagcontent t JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c ON (t.contenttypeid = c.contenttypeid AND c.class = 'BlogEntry') JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = t.contentid AND sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'BlogEntry')) JOIN " . $vBSphinxSearchConfig->dbtableprefix . "blog_text bt ON (bt.blogtextid = t.contentid)

	sql_range_step      = 10000000
	sql_ranged_throttle	= 0	
	
		
			
}

index BlogEntryDelta : BlogEntryMain
{
	source			= BlogEntryDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/BlogEntryDelta		
}

source BlogCommentMainSource : DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'BlogComment')
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (bt.blogtextid) AS id, \
		c.contenttypeid AS contenttypeid, \
		bt.blogid AS groupid, \
		bt.blogtextid AS primaryid, \
		bt.dateline AS dateline, \
		bt.dateline AS groupdateline, \
		b.lastcomment AS defaultdateline, \
		b.title AS grouptitle, \
		bt.bloguserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		bt.bloguserid AS defaultuserid, \
		bt.pagetext AS keywordtext, \
		IF(bt.state = 'visible', 1, 0) AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "blog_text AS bt \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "blog AS b ON (b.blogid = bt.blogid AND b.firstblogtextid != bt.blogtextid) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'BlogComment' \
		AND bt.blogtextid>=\$start AND bt.blogtextid<=\$end
		
	sql_query_range		= SELECT MIN(blogtextid),MAX(blogtextid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "blog_text
		
	sql_range_step      = 1024
	sql_ranged_throttle	= 3000

	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'BlogComment')
		

	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= groupdateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2
	
	sql_attr_multi = " . $vBSphinxSearchConfig->sphinxdummytagquery . "
	
	
}

index BlogCommentMain
{
	source			= BlogCommentMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/BlogCommentMain		
}

source BlogCommentDeltaSource: BlogCommentMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (bt.blogtextid) AS id, \
		c.contenttypeid AS contenttypeid, \
		bt.blogid AS groupid, \
		bt.blogtextid AS primaryid, \
		bt.dateline AS dateline, \
		bt.dateline AS groupdateline, \
		b.lastcomment AS defaultdateline, \
		b.title AS grouptitle, \
		bt.bloguserid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(bt.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(b.title,8,1)))),8,'0')),2,10) AS grouptitle2, \
		bt.bloguserid AS defaultuserid, \
		bt.pagetext AS keywordtext, \
		IF(bt.state = 'visible', 1, 0) AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "blog_text AS bt \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "blog AS b ON (b.blogid = bt.blogid AND b.firstblogtextid != bt.blogtextid) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = bt.blogtextid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'BlogComment')) \
		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE c.class = 'BlogComment' \
		AND bt.blogtextid>=\$start AND bt.blogtextid<=\$end
		
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "

		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
				
}

index BlogCommentDelta : BlogCommentMain
{
	source			= BlogCommentDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/BlogCommentDelta		
}




source CMSArticlesMainSource : DBSource
{
	sql_query_pre           = UPDATE " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue SET done = 1 WHERE contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Article')
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (a.contentid) AS id, \
		a.contentid AS groupid, \
		c.contenttypeid AS contenttypeid, \
		a.contentid AS primaryid, \
		n.publishdate AS dateline, \
		n.publishdate AS defaultdateline, \
		i.title AS grouptitle, \
		n.userid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,8,1)))),8,'0')),2,10) AS grouptitle2, \
		n.userid AS defaultuserid, \
		a.pagetext AS keywordtext, \
		1 AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "cms_article a \
		LEFT JOIN " . $vBSphinxSearchConfig->dbtableprefix . "cms_node n on n.contentid = a.contentid \
  		LEFT JOIN " . $vBSphinxSearchConfig->dbtableprefix . "cms_nodeinfo i on i.nodeid = n.nodeid \
  		LEFT JOIN " . $vBSphinxSearchConfig->dbtableprefix . "user u on u.userid = n.userid \
  		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE n.contenttypeid = c.contenttypeid \
		AND c.class = 'Article' \
		AND a.contentid>=\$start AND a.contentid<=\$end
		
	sql_query_range		= SELECT MIN(contentid),MAX(contentid) FROM " . $vBSphinxSearchConfig->dbtableprefix . "cms_article
		
	sql_range_step      = 1024
	sql_ranged_throttle	= 3000

	sql_query_post_index    = DELETE FROM " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue WHERE done = 1 AND contenttypeid = (SELECT contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype WHERE class = 'Article')
		
	
	sql_attr_uint			= contenttypeid
	sql_attr_uint			= groupid
	sql_attr_uint			= primaryid
	sql_attr_timestamp		= dateline
	sql_attr_timestamp		= defaultdateline
	sql_attr_uint			= userid
	sql_attr_uint			= defaultuserid
	sql_attr_uint			= visible
	sql_attr_uint			= username1
	sql_attr_uint			= username2
	sql_attr_uint			= groupusername1
	sql_attr_uint			= groupusername2
	sql_attr_uint			= grouptitle1
	sql_attr_uint			= grouptitle2		
	
	sql_attr_multi = " . $vBSphinxSearchConfig->sphinxdummytagquery . "
	
}

index CMSArticlesMain
{
	source			= CMSArticlesMainSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/CMSArticlesMain		
}


source CMSArticlesDeltaSource: CMSArticlesMainSource
{
	sql_query_pre           = " . $vBSphinxSearchConfig->sphinxdummyupdatequery . "
	sql_query 				= \
		SELECT (c.contenttypeid << 32) | (a.contentid) AS id, \
		a.contentid AS groupid, \
		c.contenttypeid AS contenttypeid, \
		a.contentid AS primaryid, \
		n.publishdate AS dateline, \
		n.publishdate AS defaultdateline, \
		i.title AS grouptitle, \
		n.userid AS userid, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS username1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS username2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS groupusername1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS groupusername2, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,4,1)))),8,'0')),2,10) AS grouptitle1, \
		CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(a.posttitle,8,1)))),8,'0')),2,10) AS grouptitle2, \
		n.userid AS defaultuserid, \
		a.pagetext AS keywordtext, \
		1 AS visible \
		FROM " . $vBSphinxSearchConfig->dbtableprefix . "cms_article a \
		LEFT JOIN " . $vBSphinxSearchConfig->dbtableprefix . "cms_node n on n.contentid = a.contentid \
  		LEFT JOIN " . $vBSphinxSearchConfig->dbtableprefix . "cms_nodeinfo i on i.nodeid = n.nodeid \
  		LEFT JOIN " . $vBSphinxSearchConfig->dbtableprefix . "user u on u.userid = n.userid \
  		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "vbsphinxsearch_queue sq ON (sq.primaryid = a.contentid AND  sq.contenttypeid = (SELECT c.contenttypeid FROM " . $vBSphinxSearchConfig->dbtableprefix . "contenttype c WHERE c.class = 'Article')) \
  		JOIN " . $vBSphinxSearchConfig->dbtableprefix . "contenttype AS c \
		WHERE n.contenttypeid = c.contenttypeid \
		AND c.class = 'Article' \
		AND a.contentid>=\$start AND a.contentid<=\$end
	
		sql_query_post_index    = " . $vBSphinxSearchConfig->sphinxdummydeletequery . "

		sql_range_step      = 10000000
		sql_ranged_throttle	= 0
				
}

index CMSArticlesDelta : CMSArticlesMain
{
	source			= CMSArticlesDeltaSource
	path			= " . $vBSphinxSearchConfig->sphinxpath . "/var/data/CMSArticlesDelta		
}

";
/*
 source CMSStaticHTMLSource : DBSource
 {
 sql_query 				= \
 SELECT (c.contenttypeid << 32) | (s.contentid) AS id, \
 s.contentid AS groupid, \
 c.contenttypeid AS contenttypeid, \
 s.contentid AS primaryid, \
 n.publishdate AS dateline, \
 n.publishdate AS defaultdateline, \
 s.tagline AS grouptitle, \
 n.userid AS userid, \
 CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS username1, \
 CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS username2, \
 CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,4,1)))),8,'0')),2,10) AS groupusername1, \
 CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(u.username,8,1)))),8,'0')),2,10) AS groupusername2, \
 CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,1,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,2,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,3,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,4,1)))),8,'0')),2,10) AS grouptitle1, \
 CONV(CONCAT(LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,5,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,6,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,7,1)))),8,'0'),LPAD(BIN(ORD(LOWER(SUBSTRING(s.tagline,8,1)))),8,'0')),2,10) AS grouptitle2, \
 n.userid AS defaultuserid, \
 s.html AS keywordtext, \
 1 AS visible \
 FROM cms_statichtml s \
 LEFT JOIN cms_node n on n.contentid = s.contentid \
 LEFT JOIN cms_nodeinfo i on i.nodeid = n.nodeid \
 LEFT JOIN user u on u.userid = n.userid \
 JOIN contenttype AS c \
 WHERE n.contenttypeid = c.contenttypeid \
 AND c.class = 'StaticHtml'

 # sql_range_step		= 1000

 sql_attr_uint			= contenttypeid
 sql_attr_uint			= groupid
 sql_attr_uint			= primaryid
 sql_attr_timestamp		= dateline
 sql_attr_timestamp		= defaultdateline
 sql_attr_uint			= userid
 sql_attr_uint			= defaultuserid
 sql_attr_uint			= visible
 sql_attr_uint			= username1
 sql_attr_uint			= username2
 sql_attr_uint			= groupusername1
 sql_attr_uint			= groupusername2
 sql_attr_uint			= grouptitle1
 sql_attr_uint			= grouptitle2


 #sql_ranged_throttle	= 0

 #sql_query_info		= SELECT * FROM forum WHERE forumid=\$id

 }

 index CMSStaticHTMLMain
 {
 source			= CMSStaticHTMLSource
 path			= " . $vbulletin->config['sphinx']['path'] ."/var/data/CMSStaticHTMLMain
 }
 */

print "

#############################################################################
## indexer settings
#############################################################################

indexer
{
	mem_limit			= 256M
}

#############################################################################
## searchd settings
#############################################################################

searchd
{
	port				= " . $vBSphinxSearchConfig->sphinxport . "
	log					= " . $vBSphinxSearchConfig->sphinxpath . "/var/log/searchd.log
	query_log			= " . $vBSphinxSearchConfig->sphinxpath . "/var/log/query.log
	max_children		= 30
	pid_file			= " . $vBSphinxSearchConfig->sphinxpath . "/var/log/searchd.pid
}

# --eof--
";
?>
