<?php if (!defined('VB_ENTRY')) die('Access denied.');

require_once(DIR . '/vb/search/searchcontroller.php');
require_once(DIR . '/vb/search/core.php');

/**
 * @package vbsphinxsearch
 * @author Pritesh Shah, vBulletin Development Team
 *
 */

//require_once (DIR."/vb/search/core.php");
require_once (DIR."/packages/vbsphinxsearch/sphinxapi.php");

class vBSphinxSearch_CoreSearchController extends vB_Search_SearchController
{
	private function log_errors($error)
	{
		$filename = '/tmp/sphinx_errorlog';
		$somecontent = time() . " --> " . $error . "\n";

		// Let's make sure the file exists and is writable first.
		if (is_writable($filename)) {

			// In our example we're opening $filename in append mode.
			// The file pointer is at the bottom of the file hence
			// that's where $somecontent will go when we fwrite() it.
			if (!$handle = fopen($filename, 'a')) {
				//echo "Cannot open file ($filename)";
				exit;
			}

			// Write $somecontent to our opened file.
			if (fwrite($handle, $somecontent) === FALSE) {
				//echo "Cannot write to file ($filename)";
				exit;
			}

			//echo "Success, wrote ($somecontent) to file ($filename)";

			fclose($handle);

		} else {
			//echo "The file $filename is not writable";
		}
	}
	/**
	 *
	 */
	public function get_supported_filters($contenttype)
	{
	}

	/**
	 *
	 */
	public function get_supported_sorts($contenttype)
	{
	}

	/**
	 *	When we reuse the search controller we need to clear the arrays.
	 */
	public function clear()
	{
		$this->needcore = false;
		$this->rawlimit = "";
		$this->corejoin = array();
		$this->groupjoin = array();
		$this->join = array();
		$this->where = array();
	}

	/**
	 * Get the results for the requested search
	 *
	 * @param vB_Legacy_Current_User $user user requesting the search
	 * @param vB_Search_Criteria $criteria search criteria to process
	 *
	 * @return array result set.
	 */
	public function get_results($user, $criteria)
	{
		global $vbulletin;
		/*
		$collection = new vB_Collection_ContentType();

		$collection->filterEnabled(true);

		$contenttypes = null;

		foreach ($collection AS $type)
		{
			self::$all_contenttypes[$type->getClass()] = $type->getID();
		}
		*/
		$grouped = $criteria->get_grouped();
		$this->process_keywords_filters($user, $criteria, $grouped);
		//print "===".$this->sphinxquery;
		//die;
		//Query Sphinx based on criteria here
		//var_dump($grouped);
		//print "<br/>".vB_Search_Core::GROUP_NO."====".vB_Search_Core::GROUP_YES."<br/>";
		//print_r($criteria);
		//die;
		$filters = $criteria->get_equals_filters();
		/*if (isset($vbulletin->extrafilters['type']))
		 {
			$this->extras = $vbulletin->extrafilters['type']->get_query();
			}*/
		if ($criteria->get_advanced_typeid())
		{
			$advanced_type = vB_Search_Core::get_instance()->get_search_type_from_id($criteria->get_advanced_typeid());
		}
		/*
		 foreach ($filters as $field => $value)
		 {
			$info = $advanced_type->get_db_query_info($field);
			print_r($info);
			}
			die;
			*/
		//print_r($filters);
		//print "<br/>";
		//print_r($vbulletin->extrafilters['type']->get_filters());
		//print_r($this->extras);
		//die;

		$types = array();
		if (isset($filters['contenttype']))
		{
			$types = $filters['contenttype'];
			//unset($filters['contenttype']);
		}
		//handle equals filters
		$this->process_filters($types, $filters, 'make_equals_filter', $grouped);

		//handle notequals filters
		//$this->process_filters($types, $criteria->get_notequals_filters(), 'make_notequals_filter', $grouped);

		//handle range filters
		//print_r($criteria->get_range_filters());die;
		$this->process_filters($types, $criteria->get_range_filters(), 'make_range_filter', $grouped);

		//print "===".$search_text;

		//die;

		//the default split implicitly handles the content type filter
		//an empty array means all types.
		if (count($types) > 0 AND !isset($this->split_query['defaultfields']))
		{
			//$this->make_equals_filter('dummy', 'contenttypeid', $types);
		}

		//print_r($this->sphinxfilters);
		//print_r($this->sphinxrangefilters);
		$sort = $criteria->get_sort();
		//print "SORT: ".$sort."=== ".$direction."<br/>";
		//$sort = self::$field_map[$sort];
		//print $criteria->get_sort_direction();
		$direction = (strtolower($criteria->get_sort_direction()) == 'desc') || strtolower($criteria->get_sort_direction()) == 'descending'? 'desc' : 'asc';
		//print "SORT: ".$sort."=== ".$direction;
		//die;
		if ($sort)
		{
			$this->process_sort($types, $sort, $direction);
		}
		//print_r($this->get_query_results($grouped));
		//die;

		return $this->get_query_results($grouped);



	}

	public function get_similar_threads($threadtitle, $threadid = 0)
	{
		global $vbulletin;
		//return null;
		$contenttypeid = vB_Types::instance()->getContentTypeId('vBForum_Thread');

		//$safetitle = $vbulletin->db->escape_string($threadtitle);
		$safetitle = $threadtitle;
		//$safetitle = 'texas';

		$mode = SPH_MATCH_EXTENDED;
		$host = $vbulletin->config['sphinx']['host'];

		$port = $vbulletin->config['sphinx']['port'];

		//$index = 'test1main,test1updates,gm1main,gm1updates';
		//$index = 'test1main';
		//$groupby = "threadid";
		//$index = $this->get_sphinx_indices(array($contenttypeid));
		//$index = $this->get_sphinx_indices(array(1));
		$index = $this->get_sphinx_indices(array(vB_Types::instance()->getContentTypeId('vBForum_Post')));

		//$index = 'ThreadPostMain';
		//print $index;
		//die;

		//$groupby = "threadid";
		$ranker = SPH_RANK_PROXIMITY_BM25;




		////////////
		// do query
		////////////

		$cl = new SphinxClient ();

		$cl->SetServer ( $host, $port );
		$cl->SetConnectTimeout ( 30 );
		$cl->SetFieldWeights ( array ( "title" => 10, "pagetext" => 1 ) );
		$cl->SetMatchMode ( $mode );
		$cl->ResetFilters();
		$cl->SetFilter('groupid', array($threadid), true);
		$groupby = 'contenttypeid';
		$groupsort = '@relevance DESC';
		if ( $groupby )				$cl->SetGroupBy ( $groupby, SPH_GROUPBY_ATTRPAIR, $groupsort );
		$limit = 5;
		if ( $limit )				$cl->SetLimits ( 0, $limit, ( $limit>1000 ) ? $limit : 1000 );
		$cl->SetRankingMode ( $ranker );
		$cl->SetArrayResult ( true );
		$q = trim($safetitle);
		//print "Query $q";
		//print $index;
		//die;
		$similarthreads = array();
		if($index)
		{
			$res = $cl->Query ($q, $index);
			//print $cl->GetLastError();
			//print_r($res['matches']);
			if ( is_array($res["matches"]) )
			{
				$n = 0;
				//print "Matches:\n";
				//print_r($res['matches']);
				foreach ( $res["matches"] as $docinfo )
				{
					$similarthreads[] = $docinfo['attrs']['groupid'];;
						
				}
			}
		}
		return $similarthreads;


	}

	/**
	 *	Handle processing for the equals / range filters
	 * @param array $types content types -- used to handle default split fields
	 * @param array $filters an array of "searchfields" => values to process
	 * @param array $filter_method string The name of the method to call to create a
	 *		where snippet for this kind of filter (currently equals and range -- not planning
	 *		to add more).  This should be the name of a private method on this class.
	 */
	private function process_filters($types, $filters, $filter_method, $groupuser = vB_Search_Core::GROUP_DEFAULT)
	{
		//print_r($filters);
		//die;
		foreach ($filters as $field => $value)
		{

			//if this is a tag filter we call process_tag_filter
			/*if ($field == 'tag') {
			self::process_tag_filters($value);
			continue;
			}*/
			if (!isset(self::$field_map[$field]))
			{
				continue;
			}
			$dbfield = self::$field_map[$field];
			//$type = self::$field_type_map[$field];
			$this->$filter_method($dbfield, $value);
		}
	}


	private function make_equals_filter($field, &$value)
	{
		//global $vbulletin;
		// No quotesmart
		//$value = $this->quote_smart($vbulletin->db, $value);
		//print $field."===".$value."<br/>";

		if(!is_array($value) AND !empty($value))
		{
			// For filters like tag which come through as int and not array
			$value = array($value);
		}

		if ($field == 'tagid')
		{
			$this->tagsearch = true;
		}
		if ($field == 'contenttypeid')
		{
			/*
			print_r($value);
			die;
			*/
			for($cnt= 0; $cnt < count($value); $cnt++)
			{
				if($value[$cnt] == vB_Types::instance()->getContentTypeId('vBForum_Thread'))
				{
					$value[$cnt] = vB_Types::instance()->getContentTypeId('vBForum_Post');
				}
			}
		}
		if ($field == 'prefixid')
		{
			//print_r($value);
			if($value[0] == '')
			{
				$newvalue = array(array(0),array(0));
			}
			else
			{
				$newvalue = $this->process_prefix_filter($value);
			}
			$this->sphinxfilters['prefixid1'] = $newvalue[0];
			$this->sphinxfilters['prefixid2'] = $newvalue[1];
			//print_r($this->sphinxfilters);
			//die;
			return;
		}

		$this->sphinxfilters[$field] = $value;
	}
	/*
	 private function make_notequals_filter($field, $value)
	 {
		global $vbulletin;
		$value = $this->quote_smart($vbulletin->db, $value);
		if (is_array($value))
		{
		return "$table.$field NOT IN (" . implode(',', $value) . ")";
		}
		else
		{
		return "$table.$field <> $value";
		}
		}
		*/

	private function process_prefix_filter($value)
	{
		for($cnt = 0; $cnt < count($value); $cnt++)
		{
			$newvalue = $this->getDecimalRepresentation($value[$cnt]);
			//print_r($newvalue);
			$return[0][] = $newvalue[0];
			$return[1][] = $newvalue[1];
		}
		return $return;
	}

	private function getDecimalRepresentation($value)
	{
		if($value == '')
		{
			return 0;
		}
		else
		{
			for($cnt = 0; $cnt < 8; $cnt++)
			{
				//print $value[$cnt]."<br/>";
				$s = decbin(ord(strtolower($value[$cnt])));
				$val = sprintf("%08s\n",   $s);
				if($cnt < 4)
				{
					$returnval1 .= $val;
				}
				else if($cnt < 8)
				{
					$returnval2 .= $val;
				}
			}
		}

		$returnval1 = bindec($returnval1);
		$returnval2 = bindec($returnval2);
		return array($returnval1, $returnval2);

	}

	private function make_range_filter($field, $values)
	{
		//null mean infinity in a given direction
		$this->sphinxrangefilters[$field] = $values;

	}

	/**
	 *	Function to turn a php variable into a database constant
	 *
	 *	Checks the type of the variable and handles accordingly.
	 * numeric types are left unaffected, they don't need special handling.
	 * booleans are converted to 0/1
	 * strings are escaped and quoted
	 * nulls are converted to the string 'null'
	 * arrays are recursively quoted and returned as an array.
	 *
	 *	@param $db object, used for quoting strings
	 * @param $value value to be quoted.
	 */
	protected function quote_smart($db, $value)
	{
		return $value;
	}

	/**
	 * Process the filters for the query string
	 *
	 * @param vB_Legacy_Current_User $user user requesting the search
	 * @param vB_Search_Criteria $criteria search criteria to process
	 */
	protected function process_keywords_filters($user, $criteria, $grouped)
	{
		$search_text = $this->get_search_text($user, $criteria);
		if (!$search_text)
		{
			return;
		}

		$db = $GLOBALS['vbulletin']->db;
		//$q_search_text = "'" . $db->escape_string($search_text) . "'";
		$q_search_text = $search_text;
		if ($user->hasPermission('genericpermissions', 'cansearchft_bool'))
		{
			//$q_search_text .= ' IN BOOLEAN MODE';
		}

		if ($criteria->is_title_only())
		{
			//$this->where[] = 	"MATCH(searchcore.title) AGAINST ($q_search_text)";
			$this->sphinxquery = '@grouptitle "'.$q_search_text.'"';
			//$q = '@title '.$q_search_text;
			//$filtertitle = "parentid";
			//$filtervalstitle = array(0);
		}
		else
		{
			//$this->where[] = "MATCH(searchcore.title, searchcore.keywordtext) AGAINST ($q_search_text)";
			//$this->sphinxquery = $q_search_text;
			$this->sphinxquery = $search_text;
		}



	}


	/**
	 * Get the search query string in the mysql full text format
	 *
	 * The word build up is taken from the socialgroup/blog implementation
	 * The natural language hack is from search.php
	 *
	 * @param vB_Legacy_Current_User $user user requesting the search
	 * @param vB_Search_Criteria $criteria search criteria to process
	 */
	protected function get_search_text($user, $criteria)
	{
		//	If the user doesn't have permission to search full text boolean mode,
		// use natural language mode.
		if ($user->hasPermission('genericpermissions', 'cansearchft_bool'))
		{
			$words = $criteria->get_keywords();
			$search_text = "";

			foreach ($words AS $word_item)
			{
				//print_r($word_item);
				$word = $word_item['word'];
				switch ($word_item['joiner'])
				{
					case 'OR':
						// OR is no operator
						$search_text .= " | $word";
						break;

					case 'NOT':
						// NOT this, but everything before it
						if ($search_text)
						{
							$search_text = "($search_text) ";
						}
						$search_text .= "-$word";
						break;

					case 'AND':
						// if we didn't have a joiner, default to and
					default:
						if ($search_text)
						{
							//$search_text = "+($search_text) +$word";
							$search_text = $search_text." ".$word;
						}
						else
						{
							//if this is the first token added, then we don't want to assume any
							//join logic.
							$search_text = $word;
						}
						break;
				}
			}
			//print $search_text;
			//die;
		}
		else
		{
			$search_text = $criteria->get_raw_keywords();
			//if we are using the raw search text, use the whole string as the display text
			$criteria->set_keyword_display_string("<b><u>$search_text</u></b>");
			$criteria->set_highlights(array($search_text));
		}

		return $search_text;
	}

	protected function process_sort($types, $sort, $direction)
	{
		//print $sort;die;
		if ($sort == 'rank' OR $sort == 'relevance')
		{
			$this->sort = '@weight '.$direction;
			$this->direction = '';
			return;
		}

		$sort_map = array
		(
			'defaultusername' => 'defaultusername',
			'defaulttitle' => 'defaulttitle',
			'defaultdateline' => 'defaultdateline',
			
		/* Threads and posts */
			'dateline' => 'dateline',
			'groupdateline' => 'groupdateline',
		
			'grouptitle' => 'title',
			'title' => 'title',
		
			'groupreplycount' => 'replycount',
			'replycount' => 'replycount',
		
			'groupviews' => 'views',
			'views' => 'views',
		/* Blog Entries */
		'bglastcomment' => 'defaultdateline',


		);
		//print $sort;die;
		if (isset($sort_map[$sort]))
		{
			$sort = $sort_map[$sort];
			//$field_type = $sort_type_map[$sort];
		}
		if ($sort == 'user')
		{
			$sort = 'username1 '.$direction.', username2 '.$direction;
			$direction = '';
			//return;
		}
		if ($sort == 'defaultuser' || $sort == 'groupuser')
		{
			$sort = 'groupusername1 '.$direction.', groupusername2 '.$direction;
			$direction = '';
			//return;
		}
		if ($sort == 'title')
		{
			$sort = 'grouptitle1 '.$direction.', grouptitle2 '.$direction;
			$direction = '';
			//return;
		}
		//print $sort;die;
		$this->sort = $sort;
		$this->direction = $direction;
		return;



	}

	private function get_sphinx_indices($contenttypes=null)
	{

		$all_indices = $this->get_all_searchablecontenttypes();

		if(is_array($contenttypes) && count($contenttypes) > 0)
		{
			$isContentTypes = true;
		}
		else
		{
			foreach($all_indices as $sphinx_index)
			{
				$index[] = implode(", ", $sphinx_index['sphinxindices']);
			}
			return implode(", ", $index);
		}
			
		if($this->tagsearch)
		{
			$isContentTypes = true;
				
			// Select only the taggable types
			$taggable_contenttypes = $this->get_all_taggablecontenttypes();
			//print_r($taggable_contenttypes);
			/*
			die;*/
			if(is_array($contenttypes) && count($contenttypes) > 0)
			{
				$contenttypes = array_intersect($taggable_contenttypes, $contenttypes);
			}
			else
			{
				$contenttypes = $taggable_contenttypes;
			}


		}

		if($isContentTypes)
		{
			$index = array();
			foreach($contenttypes as $contenttype)
			{
				//print_r($index);

				//print_r($all_indices[$contenttype]['sphinxindices']);
				if(is_array($all_indices[$contenttype]['sphinxindices']) && count($all_indices[$contenttype]['sphinxindices']) > 0)
				{
					$index = array_merge($index, $all_indices[$contenttype]['sphinxindices']);
				}
			}
				
			//print_r($index);
			//die;
			//$index = array_unique($index);
			if(is_array($index) && count($index))
			{
				$index = implode(",",$index);
			}

		}
		else
		{
			//$index = 'ThreadPostMain';
			//$index = 'DistvBIndex';
		}
		//print_r($index);
		//die;
		return $index;
	}

	private function get_all_searchablecontenttypes()
	{
		$collection = new vB_Collection_ContentType();

		$collection->filterSearchable(true);

		$contenttypes = null;

		foreach ($collection AS $type)
		{
			$value = array();
			$value['contenttypeid'] = $type->getID();
			$value['package'] = $type->getPackageClass();
			$value['class'] = $type->getClass();
			$value['sphinxindices'] = self::$sphinx_index_map[$type->getClass()];
				
			$contenttypes[$type->getID()] = $value;
		}
		//print_r($contenttypes);
		//die;
		return $contenttypes;
	}

	private function get_all_taggablecontenttypes()
	{
		$collection = new vB_Collection_ContentType();

		$collection->filterTaggable(true);

		$contenttypes = null;
		foreach ($collection AS $type)
		{
			if($type->getID() == vB_Types::instance()->getContentTypeId('vBForum_Thread'))
			{
				$contenttypes[] = vB_Types::instance()->getContentTypeId('vBForum_Post');
			}
			else
			{
				$contenttypes[] = $type->getID();
			}
		}

		return $contenttypes;
	}

	protected function get_query_results($grouped)
	{
		global $vbulletin;

		$mode = SPH_MATCH_EXTENDED;
		$host = $vbulletin->config['sphinx']['host'];

		$port = $vbulletin->config['sphinx']['port'];

		//$index = 'test1main,test1updates,gm1main,gm1updates';
		//$index = 'test1main';
		//$groupby = "threadid";
		$index = $this->get_sphinx_indices();
		//print $index;
		//die;

		//$groupby = "threadid";
		//$limit = 10;
		$ranker = SPH_RANK_PROXIMITY_BM25;




		// End of date range options

		////////////
		// do query
		////////////

		$cl = new SphinxClient ();

		$cl->SetServer ( $host, $port );
		$cl->SetConnectTimeout ( 30 );
		$cl->SetFieldWeights ( array ( "title" => 10, "pagetext" => 1 ) );
		$cl->SetMatchMode ( $mode );
		$cl->ResetFilters();
		//print_r($this->sphinxfilters);
		//print_r($this->sphinxrangefilters);
		//die;
		if(is_array($this->sphinxfilters) && count($this->sphinxfilters) > 0)
		{
			foreach($this->sphinxfilters as $key => $value)
			{
				if(is_array($value) && count($value))
				{
					//print "KEY: ".$key."===";print_r($value);print "<br/>\n";
					if($key == 'tagid')
					{
						//$cl->SetFilter($key, array(2));
					}
						
					$cl->SetFilter($key, $value);
					//print "KEY: ".$key."===";print_r($value);print "<br/>\n";
					if($key == 'contenttypeid')
					{
						$index = $this->get_sphinx_indices($value);
					}
					if($key == 'prefixid')
					{
						$cl->SetFilter($key, $value);
					}
				}

			}
		}
		//die;
		//print_r($this->sphinxrangefilters);
		//print $index."<br/>";
		//$index = "CMSArticlesMain, CMSStaticHTMLMain";
		//$index = "ThreadPostMain, ThreadPostDelta";
		//$index = "ThreadPostDelta";
		//die;


		if(is_array($this->sphinxrangefilters) && count($this->sphinxrangefilters) > 0)
		{
			foreach($this->sphinxrangefilters as $key => $values)
			{
				//print "KEY: ".$key."===";print_r($values);print "<br/>\n";
				if (!is_null($values[0]) AND !is_null($values[1]))
				{
					//$values = $this->quote_smart($vbulletin->db, $values);
					//$cl->SetFilterRange($key, $values[0], $values[1]);
					//echo min($values)."===".max($values);
					$cl->SetFilterRange($key, min($values), max($values));

				}

				else if (!is_null($values[0]))
				{
					//$value = $this->quote_smart($vbulletin->db, $values[0]);
					$value = $values[0];
					$cl->SetFilterRange($key, 0, ($value - 1), true);
				}

				else if (!is_null($values[1]))
				{
					//$value = $this->quote_smart($vbulletin->db, $values[1]);
					$value = $values[1];
					$cl->SetFilterRange($key, 0, $value);
				}

			}
		}
		//die;
		//$limit = 100;
		if(empty($this->sort))
		{
			$this->sort = 'defaultdateline';
		}

		if(empty($this->direction))
		{
			//$this->direction = 'desc';
		}
		/*
		 var_dump($grouped);
		 print vB_Search_Core::GROUP_YES;
		 print vB_Search_Core::GROUP_NO;
		 */
		if($grouped == vB_Search_Core::GROUP_NO)
		{
			if($this->sort == 'defaultdateline')
			{
				$this->sort = 'dateline';
			}
			$sortby = trim($this->sort. ' '.$this->direction);
		}
		//if($grouped == vB_Search_Core::GROUP_YES)
		else
		{
			$groupby = 'contenttypeid';
			$groupsort = trim($this->sort. ' '.$this->direction);
		}
		/*
		 print $this->sort;
		 print $this->direction;
		 die;
		 */


		//$groupsort = 'dateline DESC';
		//$groupsort = 'groupusername1 DESC, groupusername2 DESC';
		//print $groupby . ' --- ' .$groupsort;
		//die;
		if ( $groupby )				$cl->SetGroupBy ( $groupby, SPH_GROUPBY_ATTRPAIR, $groupsort );
		if ( $sortby )				$cl->SetSortMode ( SPH_SORT_EXTENDED, $sortby );
		//if ( $sortby )				$cl->SetSortMode ( SPH_SORT_EXTENDED, $sortby. ' ' . $sortmode );

		//if ( $sortby )				$cl->SetSortMode ( SPH_SORT_EXTENDED, $sortby );
		//if ( $sortexpr )			$cl->SetSortMode ( SPH_SORT_EXPR, $sortexpr );
		if ( $distinct )			$cl->SetGroupDistinct ( $distinct );
		$limit = 1000;
		if ( $limit )				$cl->SetLimits ( 0, $limit, ( $limit>1000 ) ? $limit : 1000 );
		$cl->SetRankingMode ( $ranker );
		$cl->SetArrayResult ( true );
		$q = trim($this->sphinxquery);
		//print "Query $q";
		//print $index;
		//die;

		if($index)
		{
			$res = $cl->Query ($q, $index);
			//print $cl->GetLastError();
			if( $cl->GetLastError() )
			{
				$error = $cl->GetLastError();
				print "Oops! An error occurred: " . $error . "<br/>";
				$this->log_errors($error);
				die;
			}
			//die;
			//print_r($res['matches']);
			//die;
			if ( is_array($res["matches"]) )
			{
				$n = 0;
				//print "Matches:\n";
				//print_r($res['matches']);
				foreach ( $res["matches"] as $docinfo )
				{
					$SphinxResults[$n][0] = $docinfo['attrs']['contenttypeid'];
					$SphinxResults[$n][1] = $docinfo['attrs']['primaryid'];
					$SphinxResults[$n][2] = $docinfo['attrs']['groupid'];
					$datelines[] = $docinfo['attrs']['defaultdateline'];
					$SphinxResults[$n][3] = '';
					$n++;
				}
			}
			//print_r($SphinxResults);
			//print_r($datelines);
			//die;
			return $SphinxResults;
		}
		return null;
	}

	protected $sphinxquery = '';
	protected $sphinxfilters = array();
	protected $sphinxrangefilters = array();
	protected $tagsearch = false;
	//protected $sphinxindices = array();

	//protected $split_query = array();

	protected $sort = "";
	protected $direction = "";

	private static $field_map = array
	(
	/* Common Search */
		'contenttype' => 'contenttypeid',
		'defaultuser' => 'groupuserid',
		'defaultdateline' => 'defaultdateline',
		'tag' => 'tagid',


	/* Threads and posts */
		'user' => 'userid',
		'groupuser' => 'groupuserid',
		'dateline' => 'dateline',
		'groupdateline' => 'groupdateline',
		'forumid' => 'groupparentid',
		'replycount' =>  'replycount',
		'groupreplycount' =>  'replycount',
		'prefixid' => 'prefixid',
		'groupid' => 'groupid',

	/* Social discussion and group messages */

		'messagegroupid' => 'groupparentid',

	/* Social groups */
		'sgcategory' => 'socialgroupcategoryid',
		'sgmemberlimit' => 'members',
		'sgmessagelimit' => 'messages',
		'sgpicturelimit' => 'pictures',
		'sgdiscussionlimit' => 'discussions',

	/* Forums */
		'forumthreadlimit' => 'threadcount',
		'forumpostlimit' => 'replycount',
		'forumpostdateline' => 'defaultdateline',

	);

	private static $sphinx_index_map = array
	(
		'Post' => array('ThreadPostMain', 'ThreadPostDelta'),
		'Thread' => array('ThreadPostMain', 'ThreadPostDelta'),
		'Forum' => array('ForumMain', 'ForumDelta'),
		'SocialGroupMessage' => array('DiscussionMessageMain', 'DiscussionMessageDelta'),
		'SocialGroup' => array('SocialGroupMain', 'SocialGroupDelta'),
		'BlogEntry' => array('BlogEntryMain', 'BlogEntryDelta'),
		'BlogComment' => array('BlogCommentMain', 'BlogCommentDelta'),
		'Article' => array('CMSArticlesMain', 'CMSArticlesDelta'),
	//'StaticHtml' => array('CMSStaticHTMLMain'),
		'VisitorMessage' => array('VisitorMessageMain', 'VisitorMessageDelta'),	
	);
	
	private static $all_contenttypes = array();
}
